import gtk
import audiobook_preferences
import gettext
from gettext import gettext as _
gettext.textdomain('audiobook-converter')
class FileselectionWindow(gtk.Builder):
    def __init__(self):
        gtk.Builder.__init__(self)
        self.set_translation_domain('audiobook-converter')
        self.add_from_file("filechooser.ui")
        self.connect_signals(self)
        filter = gtk.FileFilter()
        filter.set_name(_("All supported formats"))
        filter.add_pattern("*.txt")
        filter.add_pattern("*.doc")
        filter.add_pattern("*.odt")
        filter.add_pattern("*.pdf")
        filter.add_pattern("*.htm")
        filter.add_pattern("*.html")
        self.get_object("filechooser1").add_filter(filter)
        filter = gtk.FileFilter()
        filter.set_name(_("Plain text files"))
        filter.add_pattern("*.txt")
        self.get_object("filechooser1").add_filter(filter)
        filter = gtk.FileFilter()
        filter.set_name(_("Word documents"))
        filter.add_pattern("*.doc")
        self.get_object("filechooser1").add_filter(filter)
        filter = gtk.FileFilter()
        filter.set_name(_("Pdf files"))
        filter.add_pattern("*.pdf")
        self.get_object("filechooser1").add_filter(filter)
        filter = gtk.FileFilter()
        filter.set_name("HTML files")
        filter.add_pattern("*.html *.htm")
        self.get_object("filechooser1").add_filter(filter)
        filter = gtk.FileFilter()
        filter = gtk.FileFilter()
        filter.set_name("Openoffice and Libreoffice documents")
        filter.add_pattern("*.odt")
        self.get_object("filechooser1").add_filter(filter)

    def run(self):
        answer=self.get_object("filechooser1").run()
        print answer
        if answer==gtk.RESPONSE_OK:
            print "You clicked ok button."

        filenames=self.get_object("filechooser1").get_filenames()
        return filenames

class MyWindow(gtk.Builder):
    def __init__(self):
        gtk.Builder.__init__(self)
        self.set_translation_domain('audiobook-converter')
        self.add_from_file("quick_start_dialog.ui")
        self.connect_signals(self)

    def preferences(self, vidget):
        speech_dlg = audiobook_preferences.Preferences_Window()
        speech_dlg.run()
        self.get_object("velcome_label").set_text(_("Welcome to Audiobook Converter!\n\
Choose following options:"))

    def run(self):
        self.get_object("dialog1").show_all()
        answer=self.get_object("dialog1").run()
        return answer

    def quit(self, widget, data=None):
        """Signal handler for closing the AudiobookConverterWindow."""
        self.get_object("dialog1").destroy()

    def help(self, vidget):
        uri = "ghelp:audiobook-converter"
        gtk.show_uri(gtk.gdk.screen_get_default(),
                 uri,
                 gtk.get_current_event_time())

    def on_destroy(self, widget, data=None):
        """Called when the AudiobookConverterWindow is closed."""
        # Clean up code for saving application state should be added here.
        self.get_object("dialog1").destroy()

def quickstart_dialog():
    mywindow = MyWindow()
    answer=mywindow.run()
    if (answer==2) or (answer==3):
        answer=mywindow.run()
    return answer

def select_source_file():
    filenames=FileselectionWindow().run()
    return filenames

if __name__ == "__main__":
    conversion_mode=quickstart_dialog()
    if (conversion_mode==0) or (conversion_mode==1):
        filenames=select_source_file()
        print filenames
